package actions

type AccountForgetSmsCodeParam struct {
	Action      string `json:"action" form:"action" binding:"-"`
	CountryCode string `json:"country_code" form:"country_code" binding:"required"`
	Telephone   string `json:"telephone" form:"telephone" binding:"required"`
	Token       string `json:"token" form:"token" binding:"-"`
}

type AccountLoginWithEmailPasswordParam struct {
	Action   string `json:"action" form:"action" binding:"-"`
	Device   string `json:"device" form:"device" binding:"required"`
	Email    string `json:"email" form:"email" binding:"-"`
	Lang     string `json:"lang" form:"lang" binding:"-"`
	Password string `json:"password" form:"password" binding:"-"`
	Token    string `json:"token" form:"token" binding:"required"`
	Version  string `json:"version" form:"version" binding:"required"`
}

type AccountLoginWithTelephonePasswordParam struct {
	Action      string `json:"action" form:"action" binding:"-"`
	CountryCode string `json:"country_code" form:"country_code" binding:"-"`
	Device      string `json:"device" form:"device" binding:"required"`
	Lang        string `json:"lang" form:"lang" binding:"-"`
	Password    string `json:"password" form:"password" binding:"-"`
	Telephone   string `json:"telephone" form:"telephone" binding:"-"`
	Token       string `json:"token" form:"token" binding:"required"`
	Version     string `json:"version" form:"version" binding:"required"`
}

type AccountRegisterEmailCodeParam struct {
	Action string `json:"action" form:"action" binding:"-"`
	Email  string `json:"email" form:"email" binding:"required"`
	Token  string `json:"token" form:"token" binding:"-"`
}

type AccountRegisterSmsCodeParam struct {
	Action      string `json:"action" form:"action" binding:"-"`
	CountryCode string `json:"country_code" form:"country_code" binding:"required"`
	Telephone   string `json:"telephone" form:"telephone" binding:"required"`
	Token       string `json:"token" form:"token" binding:"-"`
}

type BaseGetTokenParam struct {
	Action    string `json:"action" form:"action" binding:"-"`
	AppMarket string `json:"app_market" form:"app_market" binding:"-"`
	Lang      string `json:"lang" form:"lang" binding:"-"`
	Token     string `json:"token" form:"token" binding:"-"`
}

type MemberAlterPasswordParam struct {
	Action          string `json:"action" form:"action" binding:"-"`
	ConfirmPassword string `json:"confirm_password" form:"confirm_password" binding:"-"`
	NewPassword     string `json:"new_password" form:"new_password" binding:"-"`
	OldPassword     string `json:"old_password" form:"old_password" binding:"-"`
	Token           string `json:"token" form:"token" binding:"required"`
}
